obciaznikiAttachEvent = {};
obciaznikiAttachEvent_mt = Class(obciaznikiAttachEvent, Event);

InitEventClass(obciaznikiAttachEvent, "obciaznikiAttachEvent");

function obciaznikiAttachEvent:emptyNew()
    local self = Event:new(obciaznikiAttachEvent_mt);
    self.className="obciaznikiAttachEvent";
    return self;
end;

function obciaznikiAttachEvent:new(vehicle, attacherVehicle)
    local self = obciaznikiAttachEvent:emptyNew()
    self.vehicle = vehicle;
	self.attacherVehicle = attacherVehicle;
    return self;
end;

function obciaznikiAttachEvent:readStream(streamId, connection)
    local id = streamReadInt32(streamId);
	local attacherId = streamReadInt32(streamId);
	self.attacherVehicle = networkGetObject(attacherId);
    self.vehicle = networkGetObject(id);
    self:run(connection);
end;

function obciaznikiAttachEvent:writeStream(streamId, connection)
    streamWriteInt32(streamId, networkGetObjectId(self.vehicle));
	streamWriteInt32(streamId, networkGetObjectId(self.attacherVehicle));
end;

function obciaznikiAttachEvent:run(connection)
	self.vehicle:assembleWheels(self.attacherVehicle, true);
    if not connection:getIsServer() then
        g_server:broadcastEvent(obciaznikiAttachEvent:new(self.vehicle, self.attacherVehicle), nil, connection, self.object);
    end;
end;


function obciaznikiAttachEvent.sendEvent(vehicle, attacherVehicle, noEventSend)
	if noEventSend == nil or noEventSend == false then
		if g_server ~= nil then
			g_server:broadcastEvent(obciaznikiAttachEvent:new(vehicle, attacherVehicle), nil, nil, vehicle);
		else
			g_client:getServerConnection():sendEvent(obciaznikiAttachEvent:new(vehicle, attacherVehicle));
		end;
	end;
end;