--
-- BuyableTwinWheelsAttacher
-- Specialization for BuyableTwinWheelsAttacher
--
-- SFM-Modding
-- @author  Manuel Leithner
-- @date  23/04/10
-- Edit By Ufolec

obciaznikiAttacher = {};

function obciaznikiAttacher.prerequisitesPresent(specializations)
    return true;
end;

function obciaznikiAttacher:load(xmlFile)

	self.onAssembling = SpecializationUtil.callSpecializationsFunction("onAssembling");
	self.onDisassembling = SpecializationUtil.callSpecializationsFunction("onDisassembling");
	
	self.obciazniki = {};
	self.obciazniki.checkString = Utils.getNoNil(getXMLString(xmlFile, "vehicle.wheels#obciazniki1CheckString"), "standart");
	self.obciazniki.obciazniki1 = nil;
	self.obciazniki.wheelsInRange = nil;	
end;

function obciaznikiAttacher:delete()
	if self.obciazniki.obciazniki1 ~= nil then
		self.obciazniki.obciazniki1:disassembleWheels(true);
	end;
end;

function obciaznikiAttacher:mouseEvent(posX, posY, isDown, isUp, button)
end;

function obciaznikiAttacher:keyEvent(unicode, sym, modifier, isDown)
end;

function obciaznikiAttacher:update(dt)

	if self:getIsActive() then
		local wheels = self.obciazniki;
		if wheels.wheelsInRange ~= nil then
			if self:getIsActiveForInput() then
				if InputBinding.hasEvent(InputBinding.OBCIAZNIKI_ATTACH) then
					if wheels.obciazniki1 == nil then
						wheels.wheelsInRange:assembleWheels(self);
					else
						if wheels.wheelsInRange.obciazniki1User == self then
							wheels.wheelsInRange:disassembleWheels();
						end;
					end;
				end;
			end;
		end;
	end;
end;

function obciaznikiAttacher:draw()
	local wheels = self.obciazniki;
	if wheels.wheelsInRange ~= nil then
		if wheels.obciazniki1 ~= nil then
			if wheels.wheelsInRange.obciazniki1User == self then
				g_currentMission:addHelpButtonText(g_i18n:getText("obciazniki_disassemble"), InputBinding.OBCIAZNIKI_ATTACH);
			end;
		else
			if wheels.wheelsInRange.obciazniki1User == nil then
				g_currentMission:addHelpButtonText(g_i18n:getText("obciazniki_assemble"), InputBinding.OBCIAZNIKI_ATTACH);
			end;
		end;
	end;
end;

function obciaznikiAttacher:onAssembling(obciazniki)
	self.obciazniki.obciazniki1 = obciazniki;
end;

function obciaznikiAttacher:onDisassembling()
	self.obciazniki.obciazniki1 = nil;
end;
