obciaznikiDetachEvent = {};
obciaznikiDetachEvent_mt = Class(obciaznikiDetachEvent, Event);

InitEventClass(obciaznikiDetachEvent, "obciaznikiDetachEvent");

function obciaznikiDetachEvent:emptyNew()
    local self = Event:new(obciaznikiDetachEvent_mt);
    self.className="obciaznikiDetachEvent";
    return self;
end;

function obciaznikiDetachEvent:new(vehicle)
    local self = obciaznikiDetachEvent:emptyNew()
    self.vehicle = vehicle;
    return self;
end;

function obciaznikiDetachEvent:readStream(streamId, connection)
    local id = streamReadInt32(streamId);
    self.vehicle = networkGetObject(id);
    self:run(connection);
end;

function obciaznikiDetachEvent:writeStream(streamId, connection)
    streamWriteInt32(streamId, networkGetObjectId(self.vehicle));
end;

function obciaznikiDetachEvent:run(connection)
	self.vehicle:disassembleWheels(true);
    if not connection:getIsServer() then
        g_server:broadcastEvent(obciaznikiDetachEvent:new(self.vehicle), nil, connection, self.object);
    end;
end;


function obciaznikiDetachEvent.sendEvent(vehicle, noEventSend)
	if noEventSend == nil or noEventSend == false then
		if g_server ~= nil then
			g_server:broadcastEvent(obciaznikiDetachEvent:new(vehicle), nil, nil, vehicle);
		else
			g_client:getServerConnection():sendEvent(obciaznikiDetachEvent:new(vehicle));
		end;
	end;
end;